[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sqldb' (#fcl)

# TCustomSQLQuery.ParamByName

Return parameter by name

## Declaration

Source position: sqldb.pp line 385

`public function TCustomSQLQuery.ParamByName(`
`const AParamName: string`
`):TParam;`

## Arguments

`AParamName` |  | Name of parameter to look for. Case insensitive.

## Function result

Resulting TParam instance.

## Description

ParamByName is a shortcut for Params.ParamByName. The 2 following pieces of code are completely equivalent:

    Qry.ParamByName('id').AsInteger:=123;

and

    Qry.Params.ParamByName('id').AsInteger:=123;

## See also

Params.ParamByName |  | Return a parameter by name
TSQLQuery.Params |  | Parameters detected in the SQL statement.

Documentation generated on: Feb 26 2014